Skip to main content
POST
/
query
Execute Query
curl --request POST \
  --url https://cloud.cdata.com/api/query \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "defaultCatalog": "<string>",
  "defaultSchema": "<string>",
  "parameters": {},
  "schemaOnly": true,
  "timeout": 150
}
'
import requests

url = "https://cloud.cdata.com/api/query"

payload = {
"query": "<string>",
"defaultCatalog": "<string>",
"defaultSchema": "<string>",
"parameters": {},
"schemaOnly": True,
"timeout": 150
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
defaultCatalog: '<string>',
defaultSchema: '<string>',
parameters: {},
schemaOnly: true,
timeout: 150
})
};

fetch('https://cloud.cdata.com/api/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "affectedRows": 123,
      "schema": [
        {
          "catalogName": "<string>",
          "columnLabel": "<string>",
          "columnName": "<string>",
          "dataTypeName": "<string>",
          "length": 123,
          "nullable": true,
          "ordinal": 123,
          "precision": 123,
          "scale": 123,
          "schemaName": "<string>",
          "tableName": "<string>"
        }
      ],
      "rows": [
        [
          "<unknown>"
        ]
      ]
    }
  ],
  "error": {
    "message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Basic Authentication with username and password. Use your PAT as the password. You can get your PAT from Connect AI by selecting Settings > Access Tokens.

Query Parameters

workspace
string

If your query contains a workspace, the workspace name must be specified here.

Body

application/json
query
string
required

The SQL query to execute. Must be a valid SQL query.

Minimum string length: 1
defaultCatalog
string | null

The default catalog to use for the query if none is specified in the query itself.

defaultSchema
string | null

The default schema to use for the query if none is specified in the query itself.

parameters
object | null
schemaOnly
boolean

If true, only the schema of the result set is returned without any data rows. The default value is false.

timeout
integer<int32>
Required range: 1 <= x <= 300

Response

200 - application/json

OK

results
object[] | null
error
object